<div class="pane card" 
    [attr.data-theme]="themes.getCurrentThemeValue()"
    [class.comparable]="comparable"
    [class.secondary]="secondary">
    <div class="header card-header" *ngIf="!hideHeader">
    	<nav class="navbar">
            <div>
                <ng-content select="[header-left]"></ng-content>
            </div>
            <button *ngIf="closable"
                type="button" class="btn btn-sm btn-light shadow-sm rounded-circle"
                (click)="emitClose()">
                    <fa-icon class="icon" icon="times"></fa-icon></button>
        </nav>
    </div>
    <div class="content card-content"
        [class.noFooter]="hideFooter" [class.noHeader]="hideHeader"
        [class.p-4]="!hideHeader || !hideFooter">
        <ng-content select="[content]"></ng-content>
    </div>
    <div class="secondary-content card-content" [class.open]="isSecondaryContentOpened()">
        <ng-content select="[secondary-content]"></ng-content>
    </div>
    <div class="footer card-footer" *ngIf="!hideFooter">
        <ng-content select="[footer]"></ng-content>
    </div>
</div>
